/*
 * Copyright (c) 2018 ARM Limited.
 *
 * SPDX-License-Identifier: MIT
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
#ifndef __ARM_COMPUTE_GRAPH2_NODES_H__
#define __ARM_COMPUTE_GRAPH2_NODES_H__

#include "arm_compute/graph2/nodes/ActivationLayerNode.h"
#include "arm_compute/graph2/nodes/BatchNormalizationLayerNode.h"
#include "arm_compute/graph2/nodes/ConstNode.h"
#include "arm_compute/graph2/nodes/ConvolutionLayerNode.h"
#include "arm_compute/graph2/nodes/DepthConcatenateLayerNode.h"
#include "arm_compute/graph2/nodes/DepthwiseConvolutionLayerNode.h"
#include "arm_compute/graph2/nodes/EltwiseLayerNode.h"
#include "arm_compute/graph2/nodes/FlattenLayerNode.h"
#include "arm_compute/graph2/nodes/FullyConnectedLayerNode.h"
#include "arm_compute/graph2/nodes/InputNode.h"
#include "arm_compute/graph2/nodes/NormalizationLayerNode.h"
#include "arm_compute/graph2/nodes/OutputNode.h"
#include "arm_compute/graph2/nodes/PoolingLayerNode.h"
#include "arm_compute/graph2/nodes/ReshapeLayerNode.h"
#include "arm_compute/graph2/nodes/SoftmaxLayerNode.h"

#endif /* __ARM_COMPUTE_GRAPH2_NODES_H__ */
